# $Revision: 1.178 $, $Date: 2009/02/07 16:57:07 $
#
# TODO:
# - Find how to compile with PLD CFLAGS/CXXFLAGS/LDFLAGS.
# - Package SDK.
# - Package utils (and write initscripts ?) for Guest OS.
# - Check License of VBoxGuestAdditions_*.iso, it's propably not GPL v2.
#   If so check if it is distributable.
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel module
%bcond_without	userspace	# don't build userspace package
%bcond_with	verbose

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%define		rel		3
%define		pname	VirtualBox
Summary:	VirtualBox OSE - x86 hardware virtualizer
Summary(pl.UTF-8):	VirtualBox OSE - wirtualizator sprzętu x86
Name:		%{pname}%{_alt_kernel}
Version:	2.1.2
Release:	%{rel}
License:	GPL v2
Group:		Applications/Emulators
#Source0:	http://download.virtualbox.org/virtualbox/%{version}/%{pname}-%{version}-OSE.tar.bz2
Source0:	%{pname}-%{version}-OSE.tar.bz2
# Source0-md5:	ce1360945d65a79dbea1bec997c25c00
#Source1:	http://download.virtualbox.org/virtualbox/%{version}/UserManual.pdf
Source1:	UserManual.pdf
# Source1-md5:	6637b80b4e175035dba5a1efd89a0498
#Source2:	http://download.virtualbox.org/virtualbox/%{version}/VBoxGuestAdditions_%{version}.iso
Source2:	VBoxGuestAdditions_%{version}.iso
# Source2-md5:	4c02fdb1b4e7f2d5ce7bb0ab8eca33d9
Source3:	%{pname}-vboxdrv.init
Source4:	%{pname}-vboxadd.init
Source5:	%{pname}-vboxnetflt.init
Source6:	%{pname}-vboxvfs.init
Source7:	%{pname}.desktop
Source8:	%{pname}.sh
Patch0:		%{pname}-configure.patch
Patch1:		%{pname}-qt-paths.patch
Patch2:		%{pname}-shared-libstdc++.patch
Patch3:		%{pname}-disable-xclient-build.patch
Patch4:		%{pname}-configure-spaces.patch
Patch6:		%{pname}-vboxnetflt_export.patch
URL:		http://www.virtualbox.org/
BuildRequires:	rpmbuild(macros) >= 1.379
%if %{with userspace}
%ifarch %{x8664}
BuildRequires:	gcc-multilib
BuildRequires:	glibc-devel(i686)
BuildRequires:	libstdc++-multilib-devel
%endif
%if "%{pld_release}" == "th"
BuildRequires:	compat-gcc-34
%endif
%if "%{pld_release}" == "ti"
BuildRequires:	gcc3
%endif
%if "%{pld_release}" == "ac"
BuildRequires:	XFree86-devel
%else
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXmu-devel
%endif
BuildRequires:	OpenGL-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	SDL-devel >= 1.2.7
BuildRequires:	acpica
BuildRequires:	alsa-lib-devel >= 1.0.6
BuildRequires:	bash
BuildRequires:	bcc
BuildRequires:	bin86
BuildRequires:	gcc >= 5:3.2.3
BuildRequires:	libIDL-devel
BuildRequires:	libpng-devel >= 1.2.5
BuildRequires:	libstdc++-devel >= 5:3.2.3
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel >= 2.6.26
BuildRequires:	libxslt-devel >= 1.1.17
BuildRequires:	libxslt-progs >= 1.1.17
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 0.9.0
BuildRequires:	python-devel
BuildRequires:	qt4-build >= 4.2.0
BuildRequires:	qt4-linguist
BuildRequires:	sed >= 4.0
BuildRequires:	which
BuildRequires:	xalan-c-devel >= 1.10.0
BuildRequires:	xerces-c-devel >= 2.6.0
BuildRequires:	zlib-devel >= 1.2.1
%endif
%if %{with dist_kernel}
BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20
%endif
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Suggests:	gxmessage
Provides:	group(vbox)
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch %{x8664}
%define		outdir	amd64
%else
%define		outdir	x86
%endif

%description
InnoTek VirtualBox OSE is a general-purpose full virtualizer for x86
hardware. Targeted at server, desktop and embedded use, it is now the
only professional-quality virtualization solution that is also Open
Source Software.

Some of the features of VirtualBox OSE are:

Modularity: VirtualBox OSE has an extremely modular design with
well-defined internal programming interfaces and a client/server
design. This makes it easy to control it from several interfaces at
once: for example, you can start a virtual machine in a typical
virtual machine GUI and then control that machine from the command
line. VirtualBox OSE also comes with a full Software Development Kit:
even though it is Open Source Software, you don't have to hack the
source to write a new interface for VirtualBox OSE.

Virtual machine descriptions in XML: the configuration settings of
virtual machines are stored entirely in XML and are independent of the
local machines. Virtual machine definitions can therefore easily be
ported to other computers.

%description -l pl.UTF-8
InnoTek VirtualBox OSE jest emulatorem sprzętu x86. Kierowany do
zastosowań serwerowych, desktopowych oraz wbudowanych jest obecnie
jedynym wysokiej jakości rozwiązaniem wirtualizacyjnym dostępnym
również jako Otwarte Oprogramowanie.

Przykładowe cechy VirtualBoksa:

Modularność: VirtualBox OSE jest wysoce zmodularyzowanym produktem z
dobrze zaprojektowanym wewnętrznym interfejsem programowym typu
klient/serwer. Dzięki temu można łatwo kontrolować go za pomocą
różnych interfejsów. Można na przykład uruchomić maszynę wirtualną z
poziomu interfejsu graficznego, a później kontrolować ją z linii
poleceń. VirtualBox OSE dostarcza również pełny pakiet deweloperski,
co pozwala stworzyć dowolny inny interfejs zarządzania maszyną
wirtualną.

Opisy maszyn wirtualnych w XML-u: konfiguracje poszczególnych maszyn
wirtualnych są w całości przechowywane w XML-u i są niezależne od
lokalnej maszyny. Dzięki temu można szybko i łatwo przenieść
konfigurację maszyny wirtualnej na inny komputer.

%package udev
Summary:	udev rules for VirtualBox OSE kernel modules
Summary(pl.UTF-8):	Reguły udev dla modułów jądra Linuksa dla VirtualBoksa
Release:	%{rel}
Group:		Base/Kernel
Requires:	udev-core

%description udev
udev rules for VirtualBox OSE kernel modules.

%description udev -l pl.UTF-8
Reguły udev dla modułów jądra Linuksa dla VirtualBoksa.

%package -n kernel%{_alt_kernel}-misc-vboxadd
Summary:	VirtualBox OSE Guest Additions for Linux Module
Summary(pl.UTF-8):	Moduł jądra Linuksa dla VirtualBoksa OSE
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Provides:	kernel(vboxadd) = %{version}-%{rel}

%description -n kernel%{_alt_kernel}-misc-vboxadd
VirtualBox OSE Guest Additions for Linux Module.

%description -n kernel%{_alt_kernel}-misc-vboxadd -l pl.UTF-8
Moduł jądra Linuksa vboxadd dla VirtualBoksa OSE - dodatki dla
systemu gościa.

%package -n kernel%{_alt_kernel}-misc-vboxdrv
Summary:	VirtualBox OSE Support Driver
Summary(pl.UTF-8):	Moduł jądra Linuksa dla VirtualBoksa OSE
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Provides:	kernel(vboxdrv) = %{version}-%{rel}

%description -n kernel%{_alt_kernel}-misc-vboxdrv
VirtualBox OSE Support Driver.

%description -n kernel%{_alt_kernel}-misc-vboxdrv -l pl.UTF-8
Moduł jądra Linuksa dla VirtualBoksa OSE - sterownik wsparcia dla
systemu głównego.

%package -n kernel%{_alt_kernel}-misc-vboxnetflt
Summary:	VirtualBox OSE Guest Additions for Linux Module
Summary(pl.UTF-8):	Moduł jądra Linuksa dla VirtualBoksa OSE
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
Requires:	kernel%{_alt_kernel}-misc-vboxdrv
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Provides:	kernel(vboxnetflt) = %{version}-%{rel}

%description -n kernel%{_alt_kernel}-misc-vboxnetflt
VirtualBox OSE Network Filter Driver.

%description -n kernel%{_alt_kernel}-misc-vboxnetflt -l pl.UTF-8
Moduł jądra Linuksa dla VirtualBoksa OSE - sterownik filtrowania
sieci dla systemu głównego.

%package -n kernel%{_alt_kernel}-misc-vboxvfs
Summary:	Host file system access VFS for VirtualBox OSE
Summary(pl.UTF-8):	Moduł jądra Linuksa dla VirtualBoksa OSE
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
Requires:	dev >= 2.9.0-7
Requires:	kernel%{_alt_kernel}-misc-vboxadd
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
Provides:	kernel(vboxvfs) = %{version}-%{rel}

%description -n kernel%{_alt_kernel}-misc-vboxvfs
Host file system access VFS for VirtualBox OSE.

%description -n kernel%{_alt_kernel}-misc-vboxvfs -l pl.UTF-8
Moduł jądra Linuksa dla VirtualBoksa OSE - dostęp do plików
systemu głównego z poziomu systemu gościa.

%package -n xorg-driver-input-vboxmouse
Summary:	X.org mouse driver for VirtualBox OSE guest OS
Summary(pl.UTF-8):	Sterownik myszy dla systemu gościa w VirtualBoksie OSE
Release:	%{rel}
Group:		X11/Applications
Requires:	xorg-xserver-server >= 1.0.99.901

%description -n xorg-driver-input-vboxmouse
X.org mouse driver for VirtualBox OSE guest OS.

%description -n xorg-driver-input-vboxmouse  -l pl.UTF-8
Sterownik myszy dla systemu gościa w VirtualBoksie.

%package -n xorg-driver-video-vboxvideo
Summary:	X.org video driver for VirtualBox OSE guest OS
Summary(pl.UTF-8):	Sterownik grafiki dla systemu gościa w VirtualBoksie OSE
Release:	%{rel}
Group:		X11/Applications
Requires:	xorg-xserver-server >= 1.0.99.901

%description -n xorg-driver-video-vboxvideo
X.org video driver for VirtualBox OSE guest OS.

%description -n xorg-driver-video-vboxvideo -l pl.UTF-8
Sterownik grafiki dla systemu gościa w VirtualBoksie OSE.

%prep
%setup -q -n %{pname}-%{version}_OSE
%patch0 -p1
%patch1 -p1
%patch2 -p1

%ifarch %{x8664}
%patch3 -p1
%endif

%patch4 -p1
%patch6 -p1

cat <<'EOF' > udev.conf
KERNEL=="vboxdrv", NAME="%k", GROUP="vbox", MODE="0660"
KERNEL=="vboxadd", NAME="%k", GROUP="vbox", MODE="0660"
EOF

install %{SOURCE1} .
sed 's#@LIBDIR@#%{_libdir}#' < %{SOURCE8} > VirtualBox-wrapper.sh

rm -rf PLD-MODULE-BUILD && mkdir PLD-MODULE-BUILD && cd PLD-MODULE-BUILD
../src/VBox/Additions/linux/export_modules modules.tar.gz
	tar -zxf modules.tar.gz && rm -f modules.tar.gz
../src/VBox/HostDrivers/linux/export_modules modules.tar.gz --without-hardening && \
	tar -zxf modules.tar.gz && rm -f modules.tar.gz

%build
%if %{with userspace}
./configure \
	--with-gcc="%{__cc}" \
	--with-g++="%{__cxx}" \
	--disable-hardening \
	--disable-kmods \
	--disable-qt3

. ./env.sh && \
kmk -j1 %{?with_verbose:KBUILD_VERBOSE=3}
%endif

%if %{with kernel}
cd PLD-MODULE-BUILD
%build_kernel_modules -m vboxadd -C vboxadd
%build_kernel_modules -m vboxdrv -C vboxdrv
%build_kernel_modules -m vboxnetflt -C vboxnetflt
cp -a vboxadd/Module.symvers vboxvfs
%build_kernel_modules -m vboxvfs -C vboxvfs -c
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with userspace}
install -d \
	$RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT%{_libdir}/VirtualBox

install VirtualBox-wrapper.sh $RPM_BUILD_ROOT%{_libdir}/VirtualBox
for f in {VBox{BFE,Headless,Manage,SDL,SVC,Tunctl,XPCOMIPCD},VirtualBox}; do
	install out/linux.%{outdir}/release/bin/$f $RPM_BUILD_ROOT%{_libdir}/VirtualBox/$f
	ln -s %{_libdir}/VirtualBox/VirtualBox-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/$f
done

install out/linux.%{outdir}/release/bin/VBox*.so \
	$RPM_BUILD_ROOT%{_libdir}/VirtualBox
install out/linux.%{outdir}/release/bin/{VBox{DD,DD2}{GC.gc,R0.r0},VMM{GC.gc,R0.r0}} \
	$RPM_BUILD_ROOT%{_libdir}/VirtualBox

install -d $RPM_BUILD_ROOT%{_libdir}/VirtualBox/additions
install -d $RPM_BUILD_ROOT%{_libdir}/VirtualBox/nls

install %{SOURCE2} $RPM_BUILD_ROOT%{_libdir}/VirtualBox/additions/VBoxGuestAdditions.iso
cp -a out/linux.%{outdir}/release/bin/components $RPM_BUILD_ROOT%{_libdir}/VirtualBox
cp -a out/linux.%{outdir}/release/bin/nls/* $RPM_BUILD_ROOT%{_libdir}/VirtualBox/nls

install out/linux.%{outdir}/release/bin/additions/mountvboxsf		\
	$RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT%{_libdir}/xorg/modules/{drivers,input}
install out/linux.%{outdir}/release/bin/additions/vboxmouse_drv_15.so	\
	$RPM_BUILD_ROOT%{_libdir}/xorg/modules/input/vboxmouse_drv.so
install out/linux.%{outdir}/release/bin/additions/vboxvideo_drv_15.so	\
	$RPM_BUILD_ROOT%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so

install out/linux.%{outdir}/release/bin/VBox.png $RPM_BUILD_ROOT%{_pixmapsdir}/VBox.png
install %{SOURCE7} $RPM_BUILD_ROOT%{_desktopdir}/%{pname}.desktop

install -d $RPM_BUILD_ROOT/etc/udev/rules.d
install udev.conf $RPM_BUILD_ROOT/etc/udev/rules.d/virtualbox.rules
%endif

%if %{with kernel}
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/vboxdrv
install %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/vboxadd
install %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/vboxnetflt
install %{SOURCE6} $RPM_BUILD_ROOT/etc/rc.d/init.d/vboxvfs
%install_kernel_modules -m PLD-MODULE-BUILD/vboxadd/vboxadd -d misc
%install_kernel_modules -m PLD-MODULE-BUILD/vboxdrv/vboxdrv -d misc
%install_kernel_modules -m PLD-MODULE-BUILD/vboxnetflt/vboxnetflt -d misc
%install_kernel_modules -m PLD-MODULE-BUILD/vboxvfs/vboxvfs -d misc
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 221 -r -f vbox

%post
cat << 'EOF'
NOTE: You must also install kernel module for this software to work
  kernel-misc-vboxdrv-%{version}-%{rel}@%{_kernel_ver_str}
  kernel-desktop-misc-vboxdrv-%{version}-%{rel}@%{_kernel_ver_str}
  kernel-laptop-misc-vboxdrv-%{version}-%{rel}@%{_kernel_ver_str}
  kernel-vanilla-misc-vboxdrv-%{version}-%{rel}@%{_kernel_ver_str}
  etc.

Depending on which kernel brand You use.

EOF

%postun
if [ "$1" = "0" ]; then
	%groupremove vbox
fi

%post	-n kernel%{_alt_kernel}-misc-vboxadd
%depmod %{_kernel_ver}
/sbin/chkconfig --add vboxadd
%service vboxadd restart "VirtualBox OSE guest additions driver"

%postun	-n kernel%{_alt_kernel}-misc-vboxadd
%depmod %{_kernel_ver}

%preun -n kernel%{_alt_kernel}-misc-vboxadd
if [ "$1" = "0" ]; then
	%service vboxadd stop
	/sbin/chkconfig --del vboxadd
fi

%post	-n kernel%{_alt_kernel}-misc-vboxdrv
%depmod %{_kernel_ver}
/sbin/chkconfig --add vboxdrv
%service vboxdrv restart "VirtualBox OSE driver"

%postun	-n kernel%{_alt_kernel}-misc-vboxdrv
%depmod %{_kernel_ver}

%preun -n kernel%{_alt_kernel}-misc-vboxdrv
if [ "$1" = "0" ]; then
	%service vboxdrv stop
	/sbin/chkconfig --del vboxdrv
fi

%post	-n kernel%{_alt_kernel}-misc-vboxnetflt
%depmod %{_kernel_ver}
/sbin/chkconfig --add vboxnetflt
%service vboxdrv restart "VirtualBox OSE Network Filter driver"

%postun	-n kernel%{_alt_kernel}-misc-vboxnetflt
%depmod %{_kernel_ver}

%preun -n kernel%{_alt_kernel}-misc-vboxnetflt
if [ "$1" = "0" ]; then
	%service vboxnetflt stop
	/sbin/chkconfig --del vboxnetflt
fi

%post	-n kernel%{_alt_kernel}-misc-vboxvfs
%depmod %{_kernel_ver}
/sbin/chkconfig --add vboxvfs
%service vboxvfs restart "VirtualBox OSE guest additions VFS driver"

%postun	-n kernel%{_alt_kernel}-misc-vboxvfs
%depmod %{_kernel_ver}

%preun -n kernel%{_alt_kernel}-misc-vboxvfs
if [ "$1" = "0" ]; then
	%service vboxvfs stop
	/sbin/chkconfig --del vboxvfs
fi

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc UserManual.pdf
%dir %{_libdir}/VirtualBox
%dir %{_libdir}/VirtualBox/additions
%dir %{_libdir}/VirtualBox/components
%dir %{_libdir}/VirtualBox/nls
%attr(755,root,root) %{_bindir}/mountvboxsf
%attr(755,root,root) %{_bindir}/VBox*
%attr(755,root,root) %{_bindir}/VirtualBox
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxSVC
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxBFE
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxHeadless
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxManage
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxSDL
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxTunctl
%attr(755,root,root) %{_libdir}/VirtualBox/VBoxXPCOMIPCD
%attr(755,root,root) %{_libdir}/VirtualBox/VBox*.so
%attr(755,root,root) %{_libdir}/VirtualBox/VirtualBox
%attr(755,root,root) %{_libdir}/VirtualBox/VirtualBox-wrapper.sh
%{_libdir}/VirtualBox/*.gc
%{_libdir}/VirtualBox/*.r0
%{_libdir}/VirtualBox/additions/*
%{_libdir}/VirtualBox/components/*
%lang(ar) %{_libdir}/VirtualBox/nls/*_ar.qm
%lang(ca) %{_libdir}/VirtualBox/nls/*_ca.qm
%lang(cs) %{_libdir}/VirtualBox/nls/*_cs.qm
%lang(de) %{_libdir}/VirtualBox/nls/*_de.qm
%lang(el) %{_libdir}/VirtualBox/nls/*_el.qm
%lang(es) %{_libdir}/VirtualBox/nls/*_es.qm
%lang(eu) %{_libdir}/VirtualBox/nls/*_eu.qm
%lang(fi) %{_libdir}/VirtualBox/nls/*_fi.qm
%lang(fr) %{_libdir}/VirtualBox/nls/*_fr.qm
%lang(hu) %{_libdir}/VirtualBox/nls/*_hu.qm
%lang(id) %{_libdir}/VirtualBox/nls/*_id.qm
%lang(it) %{_libdir}/VirtualBox/nls/*_it.qm
%lang(ja) %{_libdir}/VirtualBox/nls/*_ja.qm
%lang(ko) %{_libdir}/VirtualBox/nls/*_ko.qm
%lang(nl) %{_libdir}/VirtualBox/nls/*_nl.qm
%lang(pl) %{_libdir}/VirtualBox/nls/*_pl.qm
%lang(pt) %{_libdir}/VirtualBox/nls/*_pt.qm
%lang(pt_BR) %{_libdir}/VirtualBox/nls/*_pt_BR.qm
%lang(ro) %{_libdir}/VirtualBox/nls/*_ro.qm
%lang(ru) %{_libdir}/VirtualBox/nls/*_ru.qm
%lang(sk) %{_libdir}/VirtualBox/nls/*_sk.qm
%lang(sr) %{_libdir}/VirtualBox/nls/*_sr.qm
%lang(sv) %{_libdir}/VirtualBox/nls/*_sv.qm
%lang(tr) %{_libdir}/VirtualBox/nls/*_tr.qm
%lang(zh_CN) %{_libdir}/VirtualBox/nls/*_zh_CN.qm
%lang(zh_TW) %{_libdir}/VirtualBox/nls/*_zh_TW.qm
%{_pixmapsdir}/VBox.png
%{_desktopdir}/%{pname}.desktop

%files udev
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/udev/rules.d/virtualbox.rules

%files -n xorg-driver-input-vboxmouse
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/input/vboxmouse_drv.so

%files -n xorg-driver-video-vboxvideo
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/vboxvideo_drv.so
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-misc-vboxadd
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/vboxadd
/lib/modules/%{_kernel_ver}/misc/vboxadd.ko*

%files -n kernel%{_alt_kernel}-misc-vboxdrv
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/vboxdrv
/lib/modules/%{_kernel_ver}/misc/vboxdrv.ko*

%files -n kernel%{_alt_kernel}-misc-vboxnetflt
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/vboxnetflt
/lib/modules/%{_kernel_ver}/misc/vboxnetflt.ko*

%files -n kernel%{_alt_kernel}-misc-vboxvfs
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/vboxvfs
/lib/modules/%{_kernel_ver}/misc/vboxvfs.ko*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: VirtualBox.spec,v $
Revision 1.178  2009/02/07 16:57:07  arekm
- release 3

Revision 1.177  2009/01/25 12:55:48  arekm
- release 2

Revision 1.176  2009/01/22 20:24:11  lmasko
- Cleaned up. Also uploaded binaries to dropin. Hope it's OK.

Revision 1.175  2009/01/22 16:17:38  lmasko
- Updated to 2.1.2. Compiles and works on i686 but spec probably needs some
  cleanups.

Revision 1.174  2009/01/19 12:30:26  arekm
- release 4

Revision 1.173  2009/01/15 12:54:13  arekm
- release 3

Revision 1.172  2009/01/10 22:37:34  arekm
- release 2

Revision 1.171  2008/12/20 15:46:06  adamg
- greek translations

Revision 1.170  2008/12/20 15:42:29  adamg
- BuildRequires: QtNetwork-devel

Revision 1.169  2008/12/20 11:40:27  hawk
- fixed x86_64 build, package 64bit guest drivers
- works for me, release 1

Revision 1.168  2008/12/19 14:35:46  hawk
- added init script for vboxnetflt kernel module, users are not allowed to
  load it, package init script for vboxfs too

Revision 1.167  2008/12/19 14:16:50  hawk
- builds at x86, not tested yet

Revision 1.166  2008/12/19 14:15:22  hawk
- pl desc and summary fixes

Revision 1.165  2008/12/19 13:48:16  hawk
- vditool confirmed as obsolete by upstream

Revision 1.164  2008/12/19 13:45:39  hawk
- build vboxnetflt host driver kernel module
- vditool seems to be removed

Revision 1.163  2008/12/19 12:17:53  hawk
- added build fix from upstream, still NFY

Revision 1.162  2008/12/17 22:32:03  hawk
- started work on 2.1.0, fetch sources for now, will continue tomorrow

Revision 1.161  2008/12/14 11:43:04  arekm
- release 4

Revision 1.160  2008/12/11 22:40:10  qboosh
- sorted BRs

Revision 1.159  2008/12/10 14:47:32  pluto
- s/BR:iasl/BR:acpica/

Revision 1.158  2008/12/06 09:00:19  arekm
- release 3

Revision 1.157  2008/12/05 22:58:29  sparky
- hardcode _libdir in wrapper script - don't guess at startup

Revision 1.156  2008/12/01 17:16:04  wolvverine
- rel.2:2.6.27.7-3

Revision 1.155  2008/11/24 11:08:09  hawk
- be consistent with Rs for kernel modules (vboxadd has commented one)
- added init script for vboxvfs module, users are not allowed to load it
- vboxvfs module requires vboxadd to be loaded before so R it

Revision 1.154  2008/11/24 08:40:40  hawk
- updated to 2.0.6

Revision 1.153  2008/11/21 16:15:46  arekm
- release 5

Revision 1.152  2008/11/14 10:22:08  areq
- rel 4

Revision 1.151  2008/11/13 10:12:25  hawk
- Titanium now needs gcc 3.x too

Revision 1.150  2008/11/12 22:23:16  glen
- kernel module pkgs description from modinfo

Revision 1.149  2008/11/08 09:27:06  arekm
- release 3

Revision 1.148  2008/11/04 07:42:04  arekm
- release 2

Revision 1.147  2008/10/31 00:48:02  glen
- order BR somewhat readable

Revision 1.146  2008/10/31 00:32:46  glen
- skip debug packages for kernel modules only build

Revision 1.145  2008/10/31 00:16:33  baggins
- cosmetics - sed vboxdrv/Makefile in prep

Revision 1.144  2008/10/25 15:02:45  hawk
- updated to 2.0.4

Revision 1.143  2008/10/14 14:10:46  glen
- pld release fixes

Revision 1.142  2008/10/13 20:47:57  arekm
- release 5

Revision 1.141  2008/10/10 13:08:13  hawk
- Th/Titanium now has xorg 1.5 so package correct drivers

Revision 1.140  2008/10/09 07:00:31  glen
- only th wants compat-gcc-34

Revision 1.139  2008/10/05 10:58:30  arekm
- rel 3; fix for new python 2.6

Revision 1.138  2008/10/03 18:06:12  arekm
- release 2

Revision 1.137  2008/10/01 19:14:38  qboosh
- libpng-devel not libpng

Revision 1.136  2008/09/18 11:39:46  hawk
- vboxdrv also must be built without hardening or it won't work at all

Revision 1.135  2008/09/18 10:03:08  hawk
- updated to 2.0.2 (once more builder script fails to download sources
  directly due to connection id being added to file name)

Revision 1.134  2008/09/09 16:48:46  hawk
- release 3

Revision 1.133  2008/09/08 12:01:40  hawk
- merged upstream fixes (ie. SEGV on creating new disk image)
- release 2

Revision 1.132  2008/09/07 20:00:20  charles
- added BRs: OpenGL-devel, python-devel, xorg-lib-libXmu-devel
- removed BR QtCore-devel (QtGui-devel deps)

Revision 1.131  2008/09/07 11:23:25  arvenil
- "Q" is before "S" ;)

Revision 1.130  2008/09/07 09:46:33  arvenil
- BR: QtGui-devel

Revision 1.129  2008/09/06 20:40:36  arvenil
- BR: QtCore-devel

Revision 1.128  2008/09/05 22:25:18  arekm
- hack seems no longer needed

Revision 1.127  2008/09/05 19:27:34  hawk
- disabled hardened build (root is no longer required to run virtualbox)
- VirtualBox*.so doesn't exist w/o hardened build
- sorted configure flags
- works for me, release 1

Revision 1.126  2008/09/05 07:28:37  arekm
- one more lib needed

Revision 1.125  2008/09/04 21:10:37  arekm
- files updated

Revision 1.124  2008/09/04 21:05:49  hawk
- partially fixed install stage and %files, needs review to be sure
  that all needed files are both installed and packaged

Revision 1.123  2008/09/04 19:59:00  arekm
- verbose build support

Revision 1.122  2008/09/04 19:14:01  hawk
- blah, too fast

Revision 1.121  2008/09/04 19:13:01  hawk
- replaced gcc.patch and compat-gcc hack with configure option
- VirtualBox has switched to qt4 so shall we
- still doesn't build (may be caused by my updated patches, dunno yet)

Revision 1.120  2008/09/04 18:29:44  hawk
- updated all patches except gcc one for 2.0.0

Revision 1.119  2008/09/04 15:56:58  hawk
- started update to 2.0.0, for now just fetch sources

Revision 1.118  2008/09/03 10:37:57  arvenil
- WTF?! reverted last md5 change for UserManual.pdf

Revision 1.117  2008/09/03 10:28:15  arvenil
- updated md5 for UserManual.pdf

Revision 1.116  2008/09/03 10:08:22  hawk
- fixed UserManual.pdf source URL

Revision 1.115  2008/09/03 09:58:48  arvenil
- up to 1.6.6
- removed no more needed patch (-makefile.patch)

Revision 1.114  2008/09/02 06:42:17  arekm
- release 6

Revision 1.113  2008/08/06 20:20:25  hawk
- release 5

Revision 1.112  2008/08/06 12:06:17  arekm
- rel 4; R: udev-core not udev

Revision 1.111  2008/08/05 09:04:21  arekm
- rel 3; fix build on th-x86_64

Revision 1.110  2008/08/05 08:06:29  hawk
- add missing makefiles, release 2

Revision 1.109  2008/08/05 07:01:30  arekm
- use separate compiler (3.4) for building op.c

Revision 1.108  2008/08/05 06:57:19  hawk
- updated to 1.6.4

Revision 1.107  2008/08/05 06:28:36  hawk
- use regular gcc for Titanium

Revision 1.106  2008/08/04 22:04:51  arekm
- rel 12; qt4 is not needed; use compat-gcc-34 for building userspace and current gcc for kernel modules

Revision 1.105  2008/08/04 20:23:17  hawk
- release 11

Revision 1.104  2008/08/01 11:05:32  arekm
- userspace can't be built with 4.3

Revision 1.103  2008/07/29 10:32:19  hawk
- release 10

Revision 1.102  2008/07/28 08:31:44  hawk
- release 9

Revision 1.101  2008/07/15 09:16:09  arekm
- release 8

Revision 1.100  2008/07/02 20:44:11  arekm
- release 7

Revision 1.99  2008/06/26 14:29:00  arekm
- release 6

Revision 1.98  2008/06/24 11:27:19  arekm
- release 5

Revision 1.97  2008/06/23 19:23:44  hawk
- release 4

Revision 1.96  2008/06/11 15:51:32  hawk
- release 3

Revision 1.95  2008-06-11 11:22:34  glen
- typo, add more kernel brands

Revision 1.94  2008-06-11 09:03:06  hawk
- gah, my brain still sleeps, added %post

Revision 1.93  2008-06-11 08:59:29  hawk
- added note about vboxdrv to %post like in xorg-driver-nvidia*.spec

Revision 1.92  2008-06-08 19:26:17  hawk
- blah, forgot to update disable-xclient-build.patch, release 2

Revision 1.91  2008-06-08 16:30:31  hawk
- dropped no-screen-size-limit.patch, now there is option in VirtualBox
  to set/remove this limit
- builds, works, release 1

Revision 1.90  2008-06-08 12:47:13  hawk
- started update to 1.6.2, now just fetch sources, NFY

Revision 1.89  2008-06-08 10:59:26  glen
- -module-build requires -headers

Revision 1.88  2008-06-07 11:39:09  arekm
- rel 5; BR kernel-headers

Revision 1.87  2008-05-26 06:57:39  hawk
- fixed post/preun for kernel drivers init scripts

Revision 1.86  2008-05-17 12:38:59  pluto
- fix install.

Revision 1.85  2008-05-16 13:44:56  hawk
- release 3, required cvs mv was done

Revision 1.84  2008-05-16 13:24:26  hawk
- added init script and udev rule to create /dev/vboxadd on guest systems,
  moved init scripts from userspace to kernel packages, w/o them they're
  useless anyway and cause guests to require whole VirtualBox instead of
  just kernel modules
- relase 2.1 because 'cvs mv VirtualBox.init,v VirtualBox-vboxdrv.init,v'
  is needed

Revision 1.83  2008-05-13 11:48:19  hawk
- added patch removing max display resolution limits for guest systems

Revision 1.82  2008-05-12 08:55:37  pluto
- shared-libstdc++ patch updated.

Revision 1.81  2008-05-06 12:49:29  hawk
- works ok, release 1

Revision 1.80  2008-05-06 12:05:10  hawk
- fixed %files for 1.6.0

Revision 1.79  2008-05-05 15:22:35  areq
- BR libxslt-devel

Revision 1.78  2008-05-05 07:30:04  hawk
- more BRs, added versions too, based on configure script

Revision 1.77  2008-05-05 07:16:34  hawk
- obvious qt4 BRs based on configure script

Revision 1.76  2008-05-05 06:42:31  hawk
- started update to 1.6.0, just fetch sources for now (note: source can't be
  downloaded directly anymore, only via Sun Download Center, but since its
  GPL I think we may keep it on DF)

Revision 1.75  2008-04-28 18:18:48  dzeus
- rel. 12

Revision 1.74  2008-04-04 16:07:30  glen
- AC-branch merge

Revision 1.73  2008-03-27 19:21:06  arvenil
- release 11 (kernel-2.6.22.19-5)

Revision 1.72  2008-03-17 20:10:27  arvenil
- adapter and dots

Revision 1.71  2008-03-13 20:20:44  arekm
- release 10

Revision 1.70  2008-03-01 00:47:43  pluto
- BR: glibc-devel(i686).

Revision 1.69  2008-02-29 19:27:57  glen
- VirtualBox -> VirtualBox OSE (somebody should read the license)

Revision 1.68  2008-02-29 19:12:39  glen
- AC-branch merge

Revision 1.67  2008-02-29 18:10:22  glen
- AC-branch merges

Revision 1.66  2008-02-29 16:14:54  zbyniu
- don't search for kernel headers when build userspace

Revision 1.65  2008-02-29 15:21:07  zbyniu
- proper way to build kernel modules
- cleaned up BRs marsh

Revision 1.64  2008-02-27 16:46:25  glen
- accept spaces in configure args
- prep source in %prep

Revision 1.63  2008-02-22 16:56:20  arvenil
- update also UserManual.pdf

Revision 1.62  2008-02-21 21:01:49  arekm
- up to 1.5.6

Revision 1.61  2008-02-13 00:02:31  wolvverine
- rel.9

Revision 1.60  2008-02-11 19:43:25  arekm
- rel 8

Revision 1.59  2008-02-10 22:56:17  wolvverine
- rel.7

Revision 1.58  2008-02-10 20:05:58  hawk
- register/unregister virtualbox service on (un)installation

Revision 1.57  2008-02-04 19:16:07  qboosh
- typo
- -udev belongs to userspace

Revision 1.56  2008-02-04 18:39:35  hawk
- suffix src package with alt kernel name (if present)
- disable userspace for alt_kernels

Revision 1.55  2008-02-04 17:55:30  qboosh
- formatting

Revision 1.54  2008-02-03 14:30:44  hawk
- separate package for udev rules, fixed broken directory deps on systems
  with static dev

Revision 1.53  2008-02-02 19:23:39  arekm
- rel 5; rel files only on x86_64

Revision 1.52  2008-02-02 18:46:31  arekm
- rel 4; builds and works on th x86_64

Revision 1.51  2008-02-02 18:41:24  arekm
- install rel files (works now on x86_64 th)

Revision 1.50  2008-02-02 17:32:36  arekm
- hack for building kernel modules on x86_64

Revision 1.49  2008-02-02 16:37:14  arekm
- 2.6.24 unified arch

Revision 1.48  2008-02-02 14:33:42  wolvverine
- rel.3

Revision 1.47  2008-01-31 12:30:45  tommat
- fix unresolved symbols while building kernel modules
- builds, STBR

Revision 1.46  2008-01-30 13:51:12  hawk
- package input and video drivers for xorg 1.4, other will not work
  on Th/Titanium

Revision 1.45  2008-01-29 13:41:07  hawk
- init script is back, its required to create /dev/vboxdrv on system with
  static dev
- release 2

Revision 1.44  2008-01-04 18:18:00  qboosh
- pl fixes, reduced excessive underscores

Revision 1.43  2007-12-31 13:18:37  arvenil
- BR: pulseaudio-devel

Revision 1.42  2007-12-31 13:16:17  arvenil
- updated UserManual.pdf (there was a really old version)
- better Source URL for UserManual.pdf

Revision 1.41  2007-12-30 18:31:20  arvenil
- up to 1.5.4
- added important TODO

Revision 1.40  2007-10-24 13:06:47  kosmo
- packaged QT language files. VirtualBox check its existence for now.

Revision 1.39  2007/10/24 12:58:37  kosmo
- updated to 1.5.2

Revision 1.38  2007/10/24 08:29:42  kosmo
- added udev rules
- added missing patch
- thx to Rafal Cygnarowski <zswi@pers.pl>

Revision 1.37  2007/10/23 07:00:23  pascalek
- disabled missing patch

Revision 1.36  2007/10/08 14:53:32  kosmo
- fixed build on x86_64
- there is problem with kernel modules (but on i686 works)

Revision 1.35  2007/10/03 14:47:58  kosmo
- added missing br

Revision 1.34  2007/10/01 14:53:46  kosmo
- file name fix

Revision 1.33  2007/10/01 14:36:56  kosmo
- packaged guest OS additions ISO image.

Revision 1.32  2007/10/01 14:15:12  kosmo
- init script not needed - dropped.

Revision 1.31  2007/10/01 13:37:22  kosmo
- fixed vditool permissions

Revision 1.30  2007/10/01 13:30:00  kosmo
- packaged tools for Host OS.
- packaged video and mouse drivers for Guest OS.

Revision 1.29  2007/09/29 21:27:41  kosmo
- packaged language files.

Revision 1.28  2007/09/29 20:39:57  kosmo
- improved module build,
- fixed kernel/userpsace bconds,
- dropped libstdc++ static linking,
- please read TODO and think about it ...

Revision 1.27  2007/09/22 11:39:13  aflinta
 - added -j1 do kmk, otherwise build will fail on SMP

Revision 1.26  2007/09/22 10:26:18  pascalek
- Release 0.4, VBox.sh moved to Source4, use gxmessage when possible

Revision 1.25  2007/09/22 09:53:29  glen
- proper group deps (NOTE: PLD-doc/BuildRequires.txt is your friend)

Revision 1.24  2007/09/22 09:38:40  pascalek
- Relase 0.3; use vbox group

Revision 1.23  2007/09/22 09:25:20  glen
- don't be x86 specific

Revision 1.22  2007/09/21 23:15:19  pascalek
- Relase 0.2; just a desktop file

Revision 1.21  2007/09/21 21:27:24  pascalek
- fast update to 1.5.0 (works fine for me)

Revision 1.20  2007/09/01 11:21:33  qboosh
- informative summaries
- kernel/userspace bconds (unfinished)
- no kernel dependency in userspace package

Revision 1.19  2007/08/24 21:33:18  maciek2w
- updated to 1.4.0
- needs to check if builds on x8664

Revision 1.18  2007/03/13 19:05:51  shadzik
- install vs. cp, we already know what won

Revision 1.17  2007/03/13 18:47:37  glen
- files not produced by build process placed in %prep

Revision 1.16  2007/03/13 18:01:13  pascalek
- added UserManual

Revision 1.15  2007/03/13 17:15:05  glen
- file creation moved to %prep

Revision 1.14  2007/03/13 17:13:54  glen
- use 'EOF' (no interpolation); tabs

Revision 1.13  2007/03/13 17:04:45  pascalek
- Release 0.2
- Req kernel module
- initial init script
- fixed build and install so it started its basic work

Revision 1.12  2007/02/27 23:29:29  aflinta
- fixed build dir

Revision 1.11  2007/02/27 00:15:21  undefine
- up to 1.3.6
- kernel modules still doesn't build propertly

Revision 1.10  2007/02/14 23:15:14  aflinta
- just new fresh source

Revision 1.9  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.7  2007/01/22 08:23:56  glen
- todo update

Revision 1.6  2007/01/21 13:15:00  qboosh
- desc cosmetics, BR updates from vbox.spec
- use x8664 macro

Revision 1.5  2007/01/19 17:54:53  hawk
- typo, cosmetics

Revision 1.4  2007/01/19 13:54:16  hawk
- merged BRs from vbox.spec, added some versions based on ./configure
  contents

Revision 1.3  2007/01/19 13:43:44  hawk
- partial merge from vbox.spec

Revision 1.2  2007/01/19 13:22:23  hawk
- there are different output dirs for amd64 and x86 builds

Revision 1.1  2007/01/19 12:50:26  hawk
- VirtualBox is now licensed under GPLv2 so here is spec for it
- no official source tarballs are available, SVN snapshot was used
- builds, not tested, may even not run at all - TODO is looong
